require 'rails_helper'

RSpec.describe Integrator::UsersController, type: :controller do
  routes { Integrator::Engine.routes }

  describe 'GET /index' do
    let(:request) { get :index }

    context 'when user login' do
      let!(:user) { create :user }
      before { sign_in user }

      it_behaves_like 'success response'

      it 'renders index template' do
        request
        expect(response).to render_template :index
      end
    end
  end

  describe 'GET /new' do
    let(:request) { get :new }

    # context 'when user not login' do
    #   it 'redirect to login path' do
    #     request
    #     expect(response).to redirect_to login_path
    #   end
    # end

    context 'when user login' do
      let!(:user) { create :user }
      before { sign_in user }

      it_behaves_like 'success response'

      it 'renders show template' do
        request
        expect(response).to render_template :new
      end
    end
  end

  describe 'GET /create' do
    let(:request) { get :new }

    context 'when user login' do
      let!(:user) { create :user }
      before { sign_in user }

      it_behaves_like 'success response'

      it 'redirect show template' do
        request
        expect(response).to render_template :new
      end
    end
  end

end
