require 'simplecov'
SimpleCov.start

ENV['RAILS_ENV'] ||= 'test'

require File.expand_path('../../spec/dummy/config/environment', __FILE__)

require 'rspec/rails'
require 'factory_girl_rails'
require 'shoulda/matchers'
require 'email_spec'
require 'email_spec/rspec'
require 'capybara/rails'

FactoryGirl.definition_file_paths = %w(spec/factories)
FactoryGirl.find_definitions
Dir[Rails.root.join('../support/**/*.rb')].each { |f| require f }

RSpec.configure do |config|
  config.include FactoryGirl::Syntax::Methods
  config.include Devise::Test::ControllerHelpers, type: :controller

  config.infer_spec_type_from_file_location!
  config.mock_with :rspec
  config.infer_base_class_for_anonymous_controllers = false

  # Capybara.javascript_driver = :webkit

  config.before(:suite) do
    DatabaseCleaner.clean_with(:truncation)
  end

  config.before(:each) do
    DatabaseCleaner.strategy = :transaction
  end

  config.before(:each, js: true) do
    DatabaseCleaner.strategy = :truncation
  end

  config.before(:each) do
    DatabaseCleaner.start
  end

  config.after(:each) do
    DatabaseCleaner.clean
  end
end
